OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
LeafNodeConnectivityTable< TreeType > Struct Template Reference

`#include <MeshToVolume.h>`

## Public Types
enum | { INVALID_OFFSET = std::numeric_limits<size_t>::max() }
using | LeafNodeType = typename TreeType::LeafNodeType

## Public Member Functions
| LeafNodeConnectivityTable (TreeType &tree)
size_t | size () const
std::vector< LeafNodeType * > & | nodes ()
const std::vector< LeafNodeType * > & | nodes () const
const size_t * | offsetsNextX () const
const size_t * | offsetsPrevX () const
const size_t * | offsetsNextY () const
const size_t * | offsetsPrevY () const
const size_t * | offsetsNextZ () const
const size_t * | offsetsPrevZ () const

## Member Typedef Documentation

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
INVALID_OFFSET |

## Constructor & Destructor Documentation

## ◆ LeafNodeConnectivityTable()

LeafNodeConnectivityTable | ( | TreeType & | tree | ) |
| inline

## Member Function Documentation

## ◆ nodes() [1/2]

std::vector<LeafNodeType*>& nodes | ( |  | ) |
| inline

## ◆ nodes() [2/2]

const std::vector<LeafNodeType*>& nodes | ( |  | ) | const
| inline

## ◆ offsetsNextX()

const size_t* offsetsNextX | ( |  | ) | const
| inline

## ◆ offsetsNextY()

const size_t* offsetsNextY | ( |  | ) | const
| inline

## ◆ offsetsNextZ()

const size_t* offsetsNextZ | ( |  | ) | const
| inline

## ◆ offsetsPrevX()

const size_t* offsetsPrevX | ( |  | ) | const
| inline

## ◆ offsetsPrevY()

const size_t* offsetsPrevY | ( |  | ) | const
| inline

## ◆ offsetsPrevZ()

const size_t* offsetsPrevZ | ( |  | ) | const
| inline

## ◆ size()

size_t size | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- MeshToVolume.h